<template>
    <div class="subjectDetail">
        <div class="headButton">
            <a class="backBtn" @click="onBack">
                <md-icon class="md-primary">chevron_left</md-icon>
                <span class="md-title">กลับ</span>
            </a>

            <md-menu md-direction="bottom-end">
                <md-button md-menu-trigger class="md-icon-button md-primary">
                    <md-icon >more_vert</md-icon>
                </md-button>

                <md-menu-content>
                    <md-menu-item to="/editsubject">แก้ไข</md-menu-item>
                    <md-menu-item @click="onDelete">ลบ</md-menu-item>
                    <md-menu-item disabled>แชร์</md-menu-item>
                </md-menu-content>
            </md-menu>
        </div>
        
        <h1>รายละเอียดวิชา</h1>
        <!--Subject Name-->
        <div class="md-layout md-alignment-top-left">
            <div class="md-layout-item md-size-10" style="text-align: center;">
                <md-icon :style="`color:`+subject.color+`;`">circle</md-icon>
            </div>
            <div class="md-layout-item">
                <span class="md-headline">{{subject.name}}</span>
            </div>
        </div>

        <div class="md-layout md-alignment-top-left">
            <div class="md-layout-item md-size-10"></div>
            <div class="md-layout-item">
                <span class="md-title">{{subject.id}} {{subject.type}}</span>
            </div>
        </div><br>

        <!--Subject Time-->
        <div class="md-layout md-alignment-top-left">
            <div class="md-layout-item md-size-10" style="text-align: center;">
                <md-icon>watch_later</md-icon>
            </div>
            <div class="md-layout-item">
                <span class="md-title">วัน{{subject.day}} {{subject.startTime}}-{{subject.endTime}}</span>
            </div>
        </div><br>

        <!--Subject Teacher-->
        <div class="md-layout md-alignment-top-left">
            <div class="md-layout-item md-size-10" style="text-align: center;">
                <md-icon>person</md-icon>
            </div>
            <div class="md-layout-item">
                <span class="md-title">{{subject.teacher}}</span>
            </div>
        </div>

        <div class="md-layout md-alignment-top-left">
            <div class="md-layout-item md-size-10"></div>
            <div class="md-layout-item">
                <span class="md-title">{{subject.phone}}</span>
            </div>
        </div><br>

        <!--Subject Location-->
        <div class="md-layout md-alignment-top-left">
            <div class="md-layout-item md-size-10" style="text-align: center;">
                <md-icon>work</md-icon>
            </div>
            <div class="md-layout-item">
                <span class="md-title">{{subject.location}}</span>
            </div>
        </div><br>


        <!--Subject Note-->
        <div class="md-layout md-alignment-top-left">
            <div class="md-layout-item md-size-10" style="text-align: center;">
                <md-icon>info</md-icon>
            </div>
            <div class="md-layout-item">
                <span class="md-title">{{subject.note}}</span>
            </div>
        </div>

    </div>
</template>

<script>
export default {
    name: 'SubjectDetail',
    metaInfo: {
        title: 'วิชา UXUI'
    },
    data() {
        return {
            subject: {
                name: 'USER EXPERIENCE AND USER INTERFACE DESIGN',
                id: '01076026',
                type: 'ทฤษฎี',
                day: 'พฤหัสบดี',
                startTime: '13.00',
                endTime: '16.00',
                teacher: 'อาจารย์ชมพูนุช จินจาคาม',
                phone: '088-8787444',
                location : 'Microsoft Teams',
                note: 'กลุ่ม 3 น้ำเปล่า',
                color: '#F2C511'
            }
        }
    },
    methods: {
        onBack() {
            this.$router.replace('/')
        },
        onDelete() {

        }
    }
}
</script>

<style lang="scss" scoped>
h1 {
    font-size: 2.5rem;
}

.headButton {
    display: flex;
    justify-content: space-between;
}

.backBtn {
    display: inline-flex;
    align-items: center;
}
.backBtn:hover {
    cursor: pointer;
    text-decoration: none;
}

.detailBox {
    margin-bottom: 1rem;
}

</style>